<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>exceptions.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>exceptions_8h</filename>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="file">
    <name>field.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>field_8h</filename>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="file">
    <name>row.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>row_8h</filename>
    <includes id="row__base_8h" name="row_base.h" local="no">pqxx-object/row_base.h</includes>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="file">
    <name>row_base.cc</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>row__base_8cc</filename>
    <includes id="row__base_8h" name="row_base.h" local="no">pqxx-object/row_base.h</includes>
    <member kind="function" static="yes">
      <type>std::string</type>
      <name>describe_status</name>
      <anchor>a0</anchor>
      <arglist>(row_base::row_state current_state)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>row_base.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>row__base_8h</filename>
    <includes id="transaction_8h" name="transaction.h" local="no">pqxx-object/transaction.h</includes>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="file">
    <name>table.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>table_8h</filename>
    <includes id="row_8h" name="row.h" local="no">pqxx-object/row.h</includes>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="file">
    <name>transaction.cc</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>transaction_8cc</filename>
    <includes id="transaction_8h" name="transaction.h" local="no">pqxx-object/transaction.h</includes>
    <member kind="function" static="yes">
      <type>std::string</type>
      <name>describe_status</name>
      <anchor>a0</anchor>
      <arglist>(transaction::state current_state)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>transaction.h</name>
    <path>/home/roger/projects/libpqxx-object-0.1.3/pqxx-object/</path>
    <filename>transaction_8h</filename>
    <includes id="exceptions_8h" name="exceptions.h" local="no">pqxx-object/exceptions.h</includes>
    <namespace>pqxxobject</namespace>
  </compound>
  <compound kind="class">
    <name>SigC::Object</name>
    <filename>classSigC_1_1Object.html</filename>
  </compound>
  <compound kind="class">
    <name>std::runtime_error</name>
    <filename>classstd_1_1runtime__error.html</filename>
  </compound>
  <compound kind="namespace">
    <name>pqxxobject</name>
    <filename>namespacepqxxobject.html</filename>
    <class kind="class">pqxxobject::DatabaseError</class>
    <class kind="class">pqxxobject::field</class>
    <class kind="class">pqxxobject::row</class>
    <class kind="class">pqxxobject::row_base</class>
    <class kind="class">pqxxobject::table</class>
    <class kind="class">pqxxobject::transaction</class>
  </compound>
  <compound kind="class">
    <name>pqxxobject::DatabaseError</name>
    <filename>classpqxxobject_1_1DatabaseError.html</filename>
    <base>std::runtime_error</base>
    <member kind="function">
      <type></type>
      <name>DatabaseError</name>
      <anchor>a0</anchor>
      <arglist>(const  std::string &amp;what_arg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>pqxxobject::field</name>
    <filename>classpqxxobject_1_1field.html</filename>
    <templarg>T</templarg>
    <member kind="typedef">
      <type>T</type>
      <name>value_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>field</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>field</name>
      <anchor>a1</anchor>
      <arglist>(const  value_type &amp;value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>field</name>
      <anchor>a2</anchor>
      <arglist>(const  field&lt; value_type &gt; &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~field</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const  value_type *</type>
      <name>operator-&gt;</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const  value_type &amp;</type>
      <name>operator *</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>field&lt; value_type &gt; &amp;</type>
      <name>operator=</name>
      <anchor>a6</anchor>
      <arglist>(const  field&lt; value_type &gt; &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>field&lt; value_type &gt; &amp;</type>
      <name>operator=</name>
      <anchor>a7</anchor>
      <arglist>(const  value_type &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator const value_type &amp;</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>value_type &amp;</type>
      <name>get_value</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const  value_type &amp;</type>
      <name>get_value</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>set_value</name>
      <anchor>a11</anchor>
      <arglist>(const  value_type &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_changed</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>value_type</type>
      <name>m_value</name>
      <anchor>r0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_changed</name>
      <anchor>r1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>pqxxobject::row</name>
    <filename>classpqxxobject_1_1row.html</filename>
    <templarg>Row</templarg>
    <base>pqxxobject::row_base</base>
    <member kind="typedef">
      <type>std::auto_ptr&lt; Row &gt;</type>
      <name>row_ptr</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>row</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>row</name>
      <anchor>a1</anchor>
      <arglist>(row_state status, bool modified=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~row</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>row_ptr</type>
      <name>create</name>
      <anchor>e0</anchor>
      <arglist>(pqxx::result::const_iterator row, pqxxobject::transaction &amp;tran)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>pqxxobject::row_base</name>
    <filename>classpqxxobject_1_1row__base.html</filename>
    <base>SigC::Object</base>
    <member kind="enumeration">
      <name>row_state</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_UNINITIALISED</name>
      <anchor>w3w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_INITIALISED</name>
      <anchor>w3w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_INCONSISTENT</name>
      <anchor>w3w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>row_base</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>row_base</name>
      <anchor>a1</anchor>
      <arglist>(row_state status, bool modified=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>row_base</name>
      <anchor>a2</anchor>
      <arglist>(const  row_base &amp;rhs)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~row_base</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>row_base &amp;</type>
      <name>operator=</name>
      <anchor>a4</anchor>
      <arglist>(const  row_base &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>row_state</type>
      <name>get_state</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>is_modified</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>refresh</name>
      <anchor>a7</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>insert</name>
      <anchor>a8</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>update</name>
      <anchor>a9</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>erase</name>
      <anchor>a10</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_changed</name>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_refreshed</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_inserted</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_updated</name>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal0&lt; void &gt; &amp;</type>
      <name>signal_erased</name>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh_impl</name>
      <anchor>b0</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>insert_impl</name>
      <anchor>b1</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>update_impl</name>
      <anchor>b2</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual void</type>
      <name>erase_impl</name>
      <anchor>b3</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>row_state</type>
      <name>m_state</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>bool</type>
      <name>m_modified</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_changed</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_refreshed</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_inserted</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_updated</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal0&lt; void &gt;</type>
      <name>m_signal_erased</name>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>pqxxobject::table</name>
    <filename>classpqxxobject_1_1table.html</filename>
    <templarg>Row</templarg>
    <member kind="typedef">
      <type>Row</type>
      <name>row_type</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>Row::row_ptr</type>
      <name>row_ptr</name>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::list&lt; Row &gt;</type>
      <name>row_list</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::auto_ptr&lt; row_list &gt;</type>
      <name>row_list_ptr</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~table</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchor>a1</anchor>
      <arglist>(row_type &amp;row)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>update</name>
      <anchor>a2</anchor>
      <arglist>(row_type &amp;row)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>erase</name>
      <anchor>a3</anchor>
      <arglist>(row_type &amp;row)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>refresh</name>
      <anchor>a4</anchor>
      <arglist>(row_type &amp;row)</arglist>
    </member>
    <member kind="function" protection="public">
      <type></type>
      <name>table</name>
      <anchor>b0</anchor>
      <arglist>(pqxxobject::transaction &amp;tran)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual row_ptr</type>
      <name>find_one</name>
      <anchor>b1</anchor>
      <arglist>(const  std::string &amp;query)</arglist>
    </member>
    <member kind="function" protection="public" virtualness="virtual">
      <type>virtual row_list_ptr</type>
      <name>find_many</name>
      <anchor>b2</anchor>
      <arglist>(const  std::string &amp;query)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>pqxxobject::transaction &amp;</type>
      <name>m_transaction</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>pqxxobject::transaction</name>
    <filename>classpqxxobject_1_1transaction.html</filename>
    <member kind="enumeration">
      <name>state</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_NONE</name>
      <anchor>w6w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_ABORTED</name>
      <anchor>w6w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_COMMITTED</name>
      <anchor>w6w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_EXECUTING</name>
      <anchor>w6w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_ABORTING</name>
      <anchor>w6w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STATE_COMMITTING</name>
      <anchor>w6w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>transaction</name>
      <anchor>a0</anchor>
      <arglist>(pqxx::connection &amp;conn, pqxx::transaction&lt;&gt; *&amp;tran)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~transaction</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>begin</name>
      <anchor>a2</anchor>
      <arglist>(const  std::string &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>pqxx::result</type>
      <name>exec</name>
      <anchor>a3</anchor>
      <arglist>(const  std::string &amp;query)</arglist>
    </member>
    <member kind="function">
      <type>pqxx::result::size_type</type>
      <name>exec_noresult</name>
      <anchor>a4</anchor>
      <arglist>(const  std::string &amp;query)</arglist>
    </member>
    <member kind="function">
      <type>pqxx::result::size_type</type>
      <name>perform</name>
      <anchor>a5</anchor>
      <arglist>(const  std::string &amp;query, pqxx::result::size_type min_rows, pqxx::result::size_type max_rows)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>commit</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>abort</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal1&lt; void, pqxxobject::transaction &amp; &gt; &amp;</type>
      <name>signal_commit</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>SigC::Signal1&lt; void, pqxxobject::transaction &amp; &gt; &amp;</type>
      <name>signal_abort</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>end</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>_begin</name>
      <anchor>b1</anchor>
      <arglist>(const  std::string &amp;name)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>_end</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>commit</name>
      <anchor>b3</anchor>
      <arglist>(bool refresh)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>_commit</name>
      <anchor>b4</anchor>
      <arglist>(bool refresh)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>abort</name>
      <anchor>b5</anchor>
      <arglist>(bool refresh)</arglist>
    </member>
    <member kind="function" protection="public">
      <type>void</type>
      <name>_abort</name>
      <anchor>b6</anchor>
      <arglist>(bool refresh)</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>pqxx::connection &amp;</type>
      <name>m_connection</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>pqxx::transaction *&amp;</type>
      <name>m_transaction</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal1&lt; void, pqxxobject::transaction &amp; &gt;</type>
      <name>m_signal_commit</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>SigC::Signal1&lt; void, pqxxobject::transaction &amp; &gt;</type>
      <name>m_signal_abort</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>state</type>
      <name>m_state</name>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>unsigned int</type>
      <name>m_recursion_level</name>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
